%define module   Spread

Name:		perl-%{module}
Version:	3.17.4.1
Release:	%mkrel 2
Summary:	Perl extension for the Spread group communication system 
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source0:	http://search.cpan.org/CPAN/authors/id/J/JE/JESUS/Spread-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	libspread-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Spread is a Perl module that conveniently wraps the Spread C libraries provided
with the Spread 3.17.3 distribution. Spread is available at
http://www.spread.org/. Spread is a local/wide area group communication toolkit
that runs on most modern operating systems. It allows convenient mechanisms for
reliable multicasting information between applications as well as providing
many more complicate assurances.

%prep
%setup -q -n %{module}-%{version} 

# fix paths
perl -pi -e "s|^\\\$SPLIB_LIB.*|\\\$SPLIB_LIB=\'-L%{_libdir}\'\;|g" Makefile.PL
perl -pi -e "s|^\\\$SPLIB_INCLUDE.*|\\\$SPLIB_INCLUDE=\'-I%{_includedir}\'\;|g" Makefile.PL

# fix permissions
chmod 644 README

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/auto/Spread
%{perl_vendorarch}/Spread.pm
%{_mandir}/*/*




%changelog
* Tue Feb 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.17.4.1-2mdv2009.1
+ Revision: 344580
- rebuild

* Fri Aug 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.17.4.1-1mdv2009.0
+ Revision: 272264
- new version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.07-6mdv2009.0
+ Revision: 258361
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.07-5mdv2009.0
+ Revision: 246423
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.07-3mdv2008.1
+ Revision: 152760
- fix libspread-devel BR
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.07-2mdv2007.0
+ Revision: 113870
- Import perl-Spread

* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.07-2mdv2007.1
- rebuild

* Tue Dec 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.07-1mdk
- initial Mandriva package

